sklepapka/config/routes.rb
Rails.application.routes.draw do
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  root "pages#show", page: "home"
  get "/pages/:page" => "pages#show"
    get 'index' => "orders#index"
  get "orders/new"
  get "clients/new" => "clients#new"
  get 'index' => "clients#index"

  
resources :orders  
resources :clients

end

sklepapka/app/models/client.rb
class Client < ActiveRecord::Base
    has_many :orders
end

sklepapka/app/models/deliever.rb
class Deliever < ActiveRecord::Base
end

sklepapka/app/models/order.rb
class Order < ActiveRecord::Base
    belongs_to :client
end

sklepapka/app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

sklepapka/app/controllers/clients_controller.rb
class ClientsController < ApplicationController


    def index
        @clients = Client.all
    end

    def show
        @client= Client.find(params[:id])
    end

    def new
        @client= Client.new
    end

    def create
@client = Client.new(client_params)        
        
        if @client.save
            redirect_to clients_new_path
        else
            redirect_to clients_new_path
    end
end
    def edit
        @client= Client.find(params[:id])
    end

    def update
        @client= Client.find(params[:id])

        if @client.update(client_params)
            redirect_to client_path
        else
            redirect_to clients_new_path
    end
end

    def destroy
        @client= Client.find(params[:id])

        @client.destroy
            redirect_to client_path, :notice => "client has been deleted"
        
            
         
     end

    private
   def client_params
    params.require(:client).permit(:client_id, :name,:adress, :phone_number, :comment, :order_id)

   
    end

end
    

sklepapka/app/controllers/delievers_controller.rb
class DelieversController < ApplicationController


    def index
        @deleviers = Delevier.all
    end

    def show
        @delevier= Delevier.find(params[:id])
    end

    def new
        @delevier= Delevier.new
    end

    def create
        @delevier= Delevier.new(delevier_params)
        if @delevier.save
            redirect_to delevier_path
        else
            redirect_to new_delevier_path
    end
end
    def edit
        @delevier= Delevier.find(params[:id])
    end

    def update
        @delevier= Delevier.find(params[:id])

        if @delevier.update(delevier_params)
            redirect_to delevier_path
        else
            redirect_to new_delevier_path
    end
end

    def destroy
        @delevier= Delevier.find(params[:id])

        @delevier.destroy
            redirect_to delevier_path, :notice => "Delevier has been deleted"
        
            
         
     end

    private
   def delevier_params
    params.require(:delevier).permit(:delevier_id, :name, :adress, :phone_number, :comment)

   
    end

end
    

sklepapka/app/controllers/orders_controller.rb
class OrdersController < ApplicationController


    def index
        @orders = Order.all
    end

    def show
        @order= Order.find(params[:id])
    end

    def new
        @order= Order.new
    end

    def create
        @order= Order.new(order_params)
        if @order.save
            redirect_to orders_path
        else
            redirect_to new_order_path
    end
end
    def edit
        @order= Order.find(params[:id])
    end

    def update
        @order= Order.find(params[:id])

        if @order.update(order_params)
            redirect_to orders_path
        else
            redirect_to new_order_path
    end
end

    def destroy
        @order= Order.find(params[:id])

        @order.destroy
            redirect_to order_path, :notice => "Order has been deleted"
        
            
         
     end

    private
   def order_params
    params.require(:order).permit(:order_id, :client_id,:deliever_id, :name, :phone, :address, :payment_option, :amount, :order_status) 

   
    end

end
    

sklepapka/app/controllers/pages_controller.rb
class PagesController < ApplicationController

    def show
        render template: "pages/#{params[:page]}"

    end




end

sklepapka/app/helpers/application_helper.rb
module ApplicationHelper
end

sklepapka/app/helpers/deliever_helper.rb
module DelieverHelper
end

sklepapka/app/helpers/order_helper.rb
module OrderHelper
end

sklepapka/app/views/clients/index.html.erb
<% content_for :title, "All Clients" %>

<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>All Clients </h5>
        <div class="ibox-tools">
          <a class="collapse-link">
            <i class="fa fa-chevron-up"></i>
          </a>
          <a class="close-link">
            <i class="fa fa-times"></i>
          </a>
        </div>
      </div>
      <div class="ibox-content">

        <div class="table-responsive" div style = "position:relative">
      
          <table class="table table-striped table-bordered table-hover dataTables-example">
            <thead>
              <tr>
                <th>Name</th>
               
                <th width="40px">Order ID</th>
                <th width="40px">Status</th>
          
              </tr>
            </thead>

            <tbody>

            <% @clients.each do |client| %>

              <tr class="">
                <td><%= client.name %></td>
               <td> <%= client.order_id %></td>
                <td>
                  <%= button_to "Delete", @client, :method=>:delete, :class=>'btn btn-danger  btn-bitbucket'%>
                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                  <%= link_to edit_client_path(client.id), :class=>'btn btn-success btn-bitbucket' do %>
                      <i class="fa fa-pencil-square-o" aria-hidden="true">Edit</i>
                  <% end %>
                  <%= link_to client_path(client.id), :class=>'btn btn-warning btn-bitbucket' do %>
                      <i class="fa fa-print" aria-hidden="true">Show</i>
                  <% end %>

                </td>
              </tr>

            <% end %>

            </tbody>

            <tfoot>
              <tr>
                
                
              </tr>
            </tfoot>
          </table>
          </div>
        </div>

      </div>
    </div>
  </div>


</div>

sklepapka/app/views/clients/new.html.erb
<% content_for :title, "Add Client" %>

<div class="ibox float-e-margins">
  <div class="ibox-title">
    <h5>Add Client <small> </small></h5>
    <div class="ibox-tools">
      <a class="collapse-link">
        <i class="fa fa-chevron-up"></i>
      </a>
      <a class="close-link">
        <i class="fa fa-times"></i>
      </a>
    </div>
  </div>
  <div class="ibox-content">
    <div class="row">
      <%= form_for @client do|f| %>
      
          <div class="col-sm-6 b-r"><h3 class="m-t-none m-b">Client Info</h3>
          <div class="form-group">
              <label>Order  ID</label>
              <%= f.text_field :order_id, :placeholder=>"Enter order id", :class=>"form-control", :required=>'' %>
            </div>
          <div class="form-group">
              <label>Client ID</label>
              <%= f.text_field :client_id, :placeholder=>"Enter client id", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Name</label>
              <%= f.text_field :name, :placeholder=>"Enter full name", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Phone</label>
              <%= f.text_field :phone_number, :placeholder=>"Enter phone number", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Address</label>
              <%= f.text_area :adress, :placeholder=>"Enter full address", :class=>"form-control", :rows=>"3", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Comments</label>
              <%= f.text_field :comment, :placeholder=>"Comments", :class=>"form-control", :required=>'' %>
            </div>
            
           
          </div>
          
          <div class="col-sm-12">
            <div class="hr-line-dashed"></div>
            <%= f.submit :class=>"btn btn-sm btn-primary pull-right m-t-n-xs" %>
          </div>
      <% end %>
    </div>
  </div>
</div>

sklepapka/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Shopapp</title>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_tag 'application', 'data-turbolinks-track': 'reload' %>
        <%= csrf_meta_tags %>

  </head>

  <body>
 

  <nav class="navbar navbar-expand-lg navbar-light bg-dark">
  <a class="navbar-brand" href="/pages/home/">Shopapp</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
</body>
<body>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
    <li class="nav-item">
        <a class="nav-link" href="/clients/">Clients <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/orders/">Orders <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/orders/new">Add Order</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/clients/new">Add Client</a>
      </li>
      
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Cart
        </a>

      </li>
    

      
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav>

    <%= yield %>
    
  </body>
</html>

sklepapka/app/views/orders/_index.html.erb
<% content_for :title, "All Orders" %>

<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>All Orders </h5>
        <div class="ibox-tools">
          <a class="collapse-link">
            <i class="fa fa-chevron-up"></i>
          </a>
          <a class="close-link">
            <i class="fa fa-times"></i>
          </a>
        </div>
      </div>
      <div class="ibox-content">

        <div class="table-responsive" div style = "position:relative">
      
          <table class="table table-striped table-bordered table-hover dataTables-example">
            <thead>
              <tr>
                <th>Name</th>
               
                <th width="101px">Status</th>
                <th> Action </th>
              </tr>
            </thead>

            <tbody>

            <% @orders.each do |order| %>

              <tr class="">
                <td><%= order.name %></td>
               
                <td><span class="badge badge-primary"> <%= order.order_status %></span></td>
                <td>
                  <%= button_to "Delete", order, :method=>:delete, :class=>'btn btn-danger  btn-bitbucket'%>
                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                  <%= link_to edit_order_path(order.id), :class=>'btn btn-success btn-bitbucket' do %>
                      <i class="fa fa-pencil-square-o" aria-hidden="true">Edit</i>
                  <% end %>
                  <%= link_to order_path(order.id), :class=>'btn btn-warning btn-bitbucket' do %>
                      <i class="fa fa-print" aria-hidden="true">Show</i>
                  <% end %>
                </td>
              </tr>

            <% end %>

            </tbody>

            <tfoot>
              <tr>
                
                
              </tr>
            </tfoot>
          </table>
          </div>
        </div>

      </div>
    </div>
  </div>


</div>

sklepapka/app/views/orders/edit.html.erb
<% content_for :title, "Edit Order" %>

<div class="ibox float-e-margins">
  <div class="ibox-title">
    <h5>Add Order <small>Please </small></h5>
    <div class="ibox-tools">
      <a class="collapse-link">
        <i class="fa fa-chevron-up"></i>
      </a>
      <a class="close-link">
        <i class="fa fa-times"></i>
      </a>
    </div>
  </div>
  <div class="ibox-content">
    <div class="row">
      <%= form_for @order do|f| %>
          <div class="col-sm-6 b-r">
            <h3 class="m-t-none m-b">Customer Info</h3>
            <div class="form-group">
              <label>Name</label>
              <%= f.text_field :name, :placeholder=>"Enter full name", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Phone</label>
              <%= f.text_field :phone, :placeholder=>"Enter phone number", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Address</label>
              <%= f.text_area :address, :placeholder=>"Enter full address", :class=>"form-control", :rows=>"3", :required=>'' %>
            </div>
          </div>
          <div class="col-sm-6"><h3 class="m-t-none m-b">Order Info</h3>
            
            <div class="form-group">
             
            <div class="row">
              <div class="col-sm-6">
                <div class="form-group">
                  <label>Payment </label>
                  <%= f.select :payment_option, options_for_select(['Postpay', 'Prepay (Full)', 'Prepay (Half)'], :selected => f.object.payment_option), {}, {:class=>'form-control m-b', :required=>''} %>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-group">
                  <label>Amount</label>
                  <%= f.text_field :amount, :placeholder=>"Enter total amount", :class=>"form-control", :required=>'' %>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12">
            <div class="row">
              <div class="hr-line-dashed"></div>
              <div class="form-group">
                <label class="col-sm-2">Status</label>
                <div class="col-sm-10">
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Confirm', :class=>'icheckbox_square-green' %> Confirm </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Ready', :class=>'icheckbox_square-green' %> Ready </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Send', :class=>'icheckbox_square-green' %> Send </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Delivered', :class=>'icheckbox_square-green' %> Delivered </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Returned', :class=>'icheckbox_square-green' %> Returned </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Cancelled', :class=>'icheckbox_square-green' %> Cancelled </label>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12">
            <div class="hr-line-dashed"></div>
            <%= f.submit :class=>"btn btn-sm btn-primary pull-right m-t-n-xs" %>
          </div>
      <% end %>
    </div>
  </div>
</div>

sklepapka/app/views/orders/index.html.erb
<% content_for :title, "All Orders" %>

<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>All Orders </h5>
        <div class="ibox-tools">
          <a class="collapse-link">
            <i class="fa fa-chevron-up"></i>
          </a>
          <a class="close-link">
            <i class="fa fa-times"></i>
          </a>
        </div>
      </div>
      <div class="ibox-content">

        <div class="table-responsive" div style = "position:relative">
      
          <table class="table table-striped table-bordered table-hover dataTables-example">
            <thead>
              <tr>
                <th>Name</th>
                  
                   <th width="101px">Client ID</th>
                                <th width="101px">Phone</th>

                <th width="101px">Status</th>

                <th> Action </th>
              </tr>
            </thead>

            <tbody>

            <% @orders.each do |order| %>

              <tr class="">

                <td><%= order.name %></td>
                  <td><%= order.client_id %></td>
                  <td><%= order.phone %></td>

                <td><span class="badge badge-primary"> <%= order.order_status %></span></td>
                <td>
                  <%= button_to "Delete", order, :method=>:delete, :class=>'btn btn-danger  btn-bitbucket'%>
                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                  <%= link_to edit_order_path(order.id), :class=>'btn btn-success btn-bitbucket' do %>
                      <i class="fa fa-pencil-square-o" aria-hidden="true">Edit</i>
                  <% end %>
                  <%= link_to order_path(order.id), :class=>'btn btn-warning btn-bitbucket' do %>
                      <i class="fa fa-print" aria-hidden="true">Show</i>
                  <% end %>
                </td>
              </tr>

            <% end %>

            </tbody>

            <tfoot>
              <tr>
                
                
              </tr>
            </tfoot>
          </table>
          </div>
        </div>

      </div>
    </div>
  </div>


</div>

sklepapka/app/views/orders/new.html.erb
<% content_for :title, "Add Order" %>

<div class="ibox float-e-margins">
  <div class="ibox-title">
    <h5>Add Order <small>Please </small></h5>
    <div class="ibox-tools">
      <a class="collapse-link">
        <i class="fa fa-chevron-up"></i>
      </a>
      <a class="close-link">
        <i class="fa fa-times"></i>
      </a>
    </div>
  </div>
  <div class="ibox-content">
    <div class="row">
      <%= form_for @order do|f| %>
      
          <div class="col-sm-6 b-r"><h3 class="m-t-none m-b">Customer Info</h3>
          <div class="form-group">
              <label>Order ID</label>
              <%= f.text_field :order_id, :placeholder=>"Enter order id", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Name</label>
              <%= f.text_field :name, :placeholder=>"Enter full name", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Phone</label>
              <%= f.text_field :phone, :placeholder=>"Enter phone number", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Address</label>
              <%= f.text_area :address, :placeholder=>"Enter full address", :class=>"form-control", :rows=>"3", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Your Client ID</label>
              <%= f.text_field :client_id, :placeholder=>"Enter client  id", :class=>"form-control", :required=>'' %>
            </div>
            <div class="form-group">
              <label>Deliver ID</label>
              <%= f.text_field :deliever_id, :placeholder=>"Enter deliver id", :class=>"form-control", :required=>'' %>
            </div>
           
          </div>
          <div class="col-sm-6"><h3 class="m-t-none m-b">Order Info</h3>
            <div class="row">
              <div class="col-sm-6">
                <div class="form-group">
                  <label> Payment</label>
                  <%= f.select :payment_option, options_for_select(['Postpay', 'Prepay (Full)', 'Prepay (Half)']), {}, {:class=>'form-control m-b', :required=>''} %>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-group">
                  <label>Amount</label>
                  <%= f.text_field :amount, :placeholder=>"Enter total amount", :type=>'number', :class=>"form-control", :required=>'' %>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12">
            <div class="row">
              <div class="hr-line-dashed"></div>
              <div class="form-group">
                <label class="col-sm-2">Status</label>
                <div class="col-sm-10">
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Confirm', :class=>'icheckbox_square-green' %> Confirm </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Ready', :class=>'icheckbox_square-green' %> Ready </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Send', :class=>'icheckbox_square-green' %> Send </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Delivered', :class=>'icheckbox_square-green' %> Delivered </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Returned', :class=>'icheckbox_square-green' %> Returned </label>
                  <label class="checkbox-inline i-checks"> <%= f.radio_button :order_status, 'Cancelled', :class=>'icheckbox_square-green' %> Cancelled </label>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12">
            <div class="hr-line-dashed"></div>
            <%= f.submit :class=>"btn btn-sm btn-primary pull-right m-t-n-xs" %>
          </div>
      <% end %>
    </div>
  </div>
</div>

sklepapka/app/views/orders/show.html.erb
<h1>Name of customer: <%= @order.name %></h1>
<p>Customers phone: <%= @order.phone %></p>
<p>Customers address:  <%= @order.address %></p>
<p> Created: <%= time_ago_in_words(@order.created_at) %>
<%= button_to "Delete", @order, :method=>:delete, :class=>'btn btn-danger  btn-bitbucket'%>

sklepapka/app/views/pages/home.html.erb
<h1> Food List </h1>